import 'package:isar/isar.dart';
import 'package:okane/database/collections/account.dart';
import 'package:okane/database/collections/beneficiary.dart';
import 'package:okane/database/collections/expense_category.dart';

part 'transaction.g.dart';

@collection
class Transaction {
  Id id = Isar.autoIncrement;

  late double amount;

  late List<String> tags;

  late DateTime date;

  final expenseCategory = IsarLink<ExpenseCategory>();

  final account = IsarLink<Account>();

  final beneficiary = IsarLink<Beneficiary>();
}
