import 'package:flutter/cupertino.dart';

enum ScreenSize {
  small(300),
  normal(400);

  final double size;

  const ScreenSize(this.size);
}

ScreenSize getScreenSize(BuildContext context) {
  final width = MediaQuery.sizeOf(context).shortestSide;
  if (width > ScreenSize.normal.size) return ScreenSize.normal;

  return ScreenSize.small;
}
