import 'package:flutter/material.dart';

class AccountIndicator extends StatelessWidget {
  final String accountName;

  final Widget? trailing;

  const AccountIndicator({super.key, this.trailing, required this.accountName});

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 50,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          Padding(
            padding: EdgeInsets.all(8),
            child: Text(
              accountName,
              style: Theme.of(context).textTheme.titleLarge,
            ),
          ),
          const Spacer(),
          if (trailing != null)
            trailing!,
        ],
      ),
    );
  }
}
